Home

# Class goog.ds.JsonDataSource

Data source whose backing is a JSON-like service, in which retreiving the resource specified by URL with the additional parameter callback. The resource retreived is executable JavaScript that makes a call to the named function with a JavaScript object literal as the only parameter. Example URI could be: http://www.google.com/data/search?q=monkey&callback=mycb which might return the JS: mycb({searchresults: [{uri: 'http://www.monkey.com', title: 'Site About Monkeys'}]}); TODO(user): Evaluate using goog.net.Jsonp here. A URI of an empty string will mean that no request is made and the data source will be a data source with no child nodes

extends goog.ds.JsDataSource

Instance Method Summary
| `getLoadState() ⇒ ?goog.ds.LoadState` Gets the state of the backing data for this node
| `load()` Load or reload the backing data for this node. Fires the JsonDataSource
| `receiveData(?Object obj)` Receives data from a Json request